Bug 239988 - Software Updater Exception: No such column found!
Summary: Software Updater Exception: No such column found!
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-14 03:33 UTC by Juan C. Villa
Modified: 2014-01-21 22:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 14:54:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error output (1.34 KB, text/plain)
2007-05-14 03:33 UTC, Juan C. Villa
no flags Details

Description Juan C. Villa 2007-05-14 03:33:48 UTC
Description of problem:

I just installed a fresh copy of Fedora 7 on my laptop and ran the update
software knowing I had some updates to do. At first the utility got stuck
checking dependancies. When I forcefully quit the application and ran it again I
was able to get through the dependency check stage and was told that other
software had to be added. The moment I asked for it to proceed with the update I
was faced with an exception.

Component: Software Updater
Summary: TB815ccf7d sqlutils.py:148:executeSQLQmark:OperationalError: no such
column: checksum_value

Traceback (most recent call last):
  File "/usr/sbin/pup", line 409, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 722, in
applyChanges
    dlpkgs = self.downloadPackages(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 417, in
downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 770, in downloadPkgs
    if not po.verifyLocalPkg():
  File "/usr/lib/python2.5/site-packages/yum/packages.py", line 531, in
verifyLocalPkg
    (csum_type, csum) = self.returnIdSum()
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 162, in
returnIdSum
    return (self.checksum_type, self.checksum_value)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 102, in
__getattr__
    (self.pkgId,))
  File "/usr/lib/python2.5/site-packages/yum/sqlutils.py", line 148, in
executeSQLQmark
    return cursor.execute(query, params)
OperationalError: no such column: checksum_value

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0xd668260>
query: select checksum_value from packages where pkgId = ?
params: (u'94c020ac9a09e94e78b511ded0553e6f5ab3e15b',)


Version-Release number of selected component (if applicable):


How reproducible:
All I have to do to reproduce it is try to install the updates again. Below are
the steps I took to get to this point.

Steps to Reproduce:
1. I asked Fedora 7 to proceed with the 74 updates it had to install. It got
stuck at the dependency check.
2. I forcefully exited the update application
3. I retried to install the updates, it cleared the dependency check stage and
got an error as soon as it attempted to download/install the updates
  
Actual results:
Exception!

Expected results:
Updates :P

Additional info:

Comment 1 Juan C. Villa 2007-05-14 03:33:49 UTC
Created attachment 154619 [details]
Error output

Comment 2 Martin A. Boegelund 2007-05-14 13:57:20 UTC
This look like a duplicate of bug #239969.


Comment 3 Peter van Egdom 2007-11-14 19:20:25 UTC
Thank you for the report. However this has been reported to the incorrect
component. Reassigning from "up2date" to "pirut". Feel free to report any
further bugs you find to our bug tracking system.

Comment 4 Jeremy Katz 2007-11-16 01:06:41 UTC
What's the output of 'rpm -q yum yum-metadata-parser'?

Comment 5 Jeremy Katz 2007-12-31 14:54:24 UTC
Closing due to inactivity.  Please reopen or file a new bug if you have further
information to add to this bug report


Note You need to log in before you can comment on or make changes to this bug.